List
curl --request GET \
--url https://{defaultHost}/v1/affiliations \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/affiliations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/affiliations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/affiliations"
},
"data": [
{
"id": "13728197-8587-4024-a489-ed3c0d258b22",
"object": "affiliation",
"active": true,
"bio": null,
"code": "7D201A4D",
"email": "rempel_mee@labadie.example",
"first_name": "Mee",
"last_name": "Rempel",
"metadata": {},
"payout_email": null,
"url": null,
"portal_url": "http://app.example.com/portal_redirect/affiliations/13728197-8587-4024-a489-ed3c0d258b22",
"referral_urls": [
"?aff=7d201a4d"
],
"total_commission_amount": 0,
"total_not_paid_commission_amount": 0,
"commission_structure": null,
"discarded_at": null,
"created_at": 1782485803,
"updated_at": 1782485803
}
]
}Affiliations
List
Returns a list of your affiliations.
GET
/
v1
/
affiliations
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that are active or not.
Only return objects with the given email.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
The query to be used for full text search of this collection.
The sorting column and order to be used for this collection. Available sorting columns for this endpoint are created_at, name, and updated_at.
Was this page helpful?
⌘I